from src.pgdb.chat.c_db import UPostgresDB
from src.pgdb.chat.crud import CRUD
from src.config.consts import (
    CHAT_DB_USER,
    CHAT_DB_HOST,
    CHAT_DB_PORT,
    CHAT_DB_DBNAME,
    CHAT_DB_PASSWORD
)


"""测试会话相关数据可的连接"""


def test():
    c_db = UPostgresDB(host=CHAT_DB_HOST, database=CHAT_DB_DBNAME, user=CHAT_DB_USER, password=CHAT_DB_PASSWORD,
                       port=CHAT_DB_PORT, )
    print(c_db)
    crud = CRUD(c_db)
    crud.create_table()
    # crud.insert_turn_qa("2", "wen4", "da1", 1, 0)
    # crud.insert_turn_qa("2", "wen4", "da1", 2, 0)
    # crud.insert_turn_qa("2", "wen4", "da1", 5, 0)
    # crud.insert_turn_qa("2", "wen4", "da1", 4, 0)
    # crud.insert_turn_qa("2", "wen4", "da1", 3, 0)
    # crud.insert_turn_qa("2", "wen4", "da1", 6, 0)
    # crud.insert_turn_qa("2", "wen4", "da1", 8, 0)
    # crud.insert_turn_qa("2", "wen4", "da1", 7, 0)
    # crud.insert_turn_qa("2", "wen4", "da1", 9, 0)
    crud.insert_c_user('zhangs', '111111')
    crud.insert_chat('1', '这是chat_id为1的问答info', 0)
    crud.insert_c_user('lis', '111111')
    crud.insert_chat('1', '这是chat_id为2的问答info', 0)
    crud.insert_chat('2', '这是chat_id为3的问答info', 0)
    crud.insert_chat('2', '这是chat_id为4的问答info', 0)
    print(crud.get_history('2'))


if __name__ == "__main__":
    test()
